package com.reptileclient.jlifeapp.entity.hm;

import java.util.Date;

public class HmDownHistory {
    private Long id;

    private String exportName;

    private String exportUrl;

    private String exportParm;

    private Date parmStartTime;

    private Date parmEndTime;

    private String returnData;

    private String hmExcelAddress;

    private String localAddress;

    private String localDownUrl;

    private Integer isRead;

    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExportName() {
        return exportName;
    }

    public void setExportName(String exportName) {
        this.exportName = exportName == null ? null : exportName.trim();
    }

    public String getExportUrl() {
        return exportUrl;
    }

    public void setExportUrl(String exportUrl) {
        this.exportUrl = exportUrl == null ? null : exportUrl.trim();
    }

    public String getExportParm() {
        return exportParm;
    }

    public void setExportParm(String exportParm) {
        this.exportParm = exportParm == null ? null : exportParm.trim();
    }

    public Date getParmStartTime() {
        return parmStartTime;
    }

    public void setParmStartTime(Date parmStartTime) {
        this.parmStartTime = parmStartTime;
    }

    public Date getParmEndTime() {
        return parmEndTime;
    }

    public void setParmEndTime(Date parmEndTime) {
        this.parmEndTime = parmEndTime;
    }

    public String getReturnData() {
        return returnData;
    }

    public void setReturnData(String returnData) {
        this.returnData = returnData == null ? null : returnData.trim();
    }

    public String getHmExcelAddress() {
        return hmExcelAddress;
    }

    public void setHmExcelAddress(String hmExcelAddress) {
        this.hmExcelAddress = hmExcelAddress == null ? null : hmExcelAddress.trim();
    }

    public String getLocalAddress() {
        return localAddress;
    }

    public void setLocalAddress(String localAddress) {
        this.localAddress = localAddress == null ? null : localAddress.trim();
    }

    public String getLocalDownUrl() {
        return localDownUrl;
    }

    public void setLocalDownUrl(String localDownUrl) {
        this.localDownUrl = localDownUrl == null ? null : localDownUrl.trim();
    }

    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}